Subject: Re: linux-next: build failure after merge of the ext4 tree

From: Theodore Ts'o <[email-masked]>
Date: Thu, 4 Apr 2013 09:20:48 -0400

On Thu, Apr 04, 2013 at 03:18:32PM +0200, Lukáš Czerner wrote:
> I am afraid I do not understand why this is happening. The commit
> simply replaces ext4_get_group_no_and_offset() with
> ext4_get_group_number() which has the similar definition in the same
> header file. Maybe someone knows what this is all about ?

I've fixed this up already in the ext4 tree.  The problem is that you
defined the function ext4_get_group_number() as "inline", but the
function body was only in fs/ext4/balloc.c.  I have no idea why gcc
wasn't complaining about this on x86, but the fix was to simply
declare the function as "extern", not as "inline".

						- Ted